Subject: Re: [PATCH net v2 0/2] selftests: mptcp: connect: cover alt modes

From: Jakub Kicinski <[email-masked]>
Date: Tue, 15 Jul 2025 18:53:08 -0700

On Tue, 15 Jul 2025 20:43:27 +0200 Matthieu Baerts (NGI0) wrote:
> mptcp_connect.sh can be executed manually with "-m <MODE>" and "-C" to
> make sure everything works as expected when using "mmap" and "sendfile"
> modes instead of "poll", and with the MPTCP checksum support.
> 
> These modes should be validated, but they are not when the selftests are
> executed via the kselftest helpers. It means that most CIs validating
> these selftests, like NIPA for the net development trees and LKFT for
> the stable ones, are not covering these modes.
> 
> To fix that, new test programs have been added, simply calling
> mptcp_connect.sh with the right parameters.
> 
> The first patch can be backported up to v5.6, and the second one up to
> v5.14.

Looks like the failures that Paolo flagged yesterday:

https://lore.kernel.org/all/[email-masked]/

are back as soon as this hit NIPA :(

https://netdev.bots.linux.dev/contest.html?branch=net-next-2025-07-16--00-00&executor=vmksft-mptcp&pw-n=0&pass=0

No idea why TBH, the tests run sequentially and connect.sh run before
any of the new ones.

I'm gonna leave it in patchwork in case the next run is clean,
please use pw-bot to discard them if they keep failing.